DocsAPI ReferenceMember/bff/member/confirm-invite
postMemberAdmin BFF

/bff/member/confirm-invite

Completes the member invitation flow — creates the user account and links them to the organisation.

MemberpostBffMemberConfirm-invite

Parameters

7 body

7 total
Body · 7
tokenstringRequired

Invitation token from the email link.

localestringRequired

Communication locale code used to filter content.

Supported locales: cs, en, fr, it, pl, de, sk, sv, es, zh, ja, uk, da.

Length: 22
firstNamestringRequired

New member first name.

lastNamestringRequired

New member last name.

passwordstringRequired

Account password (min 8 chars).

Length: 8
checkboxTermsbooleanRequired

Accepted terms of service.

checkboxMarketingbooleanRequired

Accepted marketing communications.

Request

POST /bff/member/confirm-invite

post
curl -X POST "https://api.bizkithub.com/bff/member/confirm-invite" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "token": "example_token",
  "locale": "cs",
  "firstName": "Jan",
  "lastName": "Novák",
  "password": "example_password",
  "checkboxTerms": false,
  "checkboxMarketing": false
}'

Response

JSON payload

{
  "success": true
}

All response codes

1 status code documented

Need an API key?

All BizKitHub API endpoints require authentication via API key.

Get API Key